/*
* Copyright (c) 1994-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/




//  EXTERNAL RESOURCES  


//  Include Files  

#include <kernel/ls_std.h>
#include "locl_language.h"

const TLanguage LanguageAspect::Language = ELangHungarian;
const TLanguage LanguageAspect::LanguageDowngrade[3] = {ELangNone, ELangNone, ELangNone};
const TDigitType LanguageAspect::DigitType = EDigitTypeWestern;
const TFatUtilityFunctions* const LanguageAspect::FatUtilityFunctions = NULL;
    


//  LOCAL CONSTANTS AND MACROS  
const TText * const LanguageAspect::MsgTable[ELocaleMessages_LastMsg] =
     {
    // Fileserver
    _S("Ismt"),								// Button 1
    _S("Lellt"),								// Button 2
    _S("Tegye vissza a lemezt"),						// Put the card back - line1
    _S("vagy elvesznek az adatok"),						// Put the card back - line2
    _S("Akkumultor tltse tl alacsony"),						// Low power - line1
    _S("Lemezre rs nem lehetsges"),					// Low power - line2
    _S("Lemezhiba. rs nem lehetsges"),				// Disk error - line1
    _S("Ismt, vagy elvesznek az adatok"),		            // Disk error - line2
// SoundDriver
    _S("Harangsz"),								// Chimes
    _S("Csengets"),								// Rings
    _S("Jelzs"),								// Signal
// MediaDriver diskname (max 16 chars)
    _S("Internal"),								// Internal
    _S("External(01)"),							// External(01)
    _S("External(02)"),							// External(02)
    _S("External(03)"),							// External(03)
    _S("External(04)"),							// External(04)
    _S("External(05)"),							// External(05)
    _S("External(06)"),							// External(06)
    _S("External(07)"),							// External(07)
    _S("External(08)"),							// External(08)
// MediaDriver socketname (max 16 chars)
    _S("Socket(01)"),							// Socket(01)
    _S("Socket(02)"),							// Socket(02)
    _S("Socket(03)"),							// Socket(03)
    _S("Socket(04)")							// Socket(04)
    };

//  End of File
const TText * const LanguageAspect::DateSuffixTable[KMaxSuffixes] =
    {
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S("")
    };
// The day names
const TText * const LanguageAspect::DayTable[KMaxDays] =
    {
    _S("htf\x0151"),
    _S("kedd"),
    _S("szerda"),
    _S("cstrtk"),
    _S("pntek"),
    _S("szombat"),
    _S("vasrnap")
    };
// The abbreviated day names
const TText * const LanguageAspect::DayAbbTable[KMaxDays] =
    {
    _S("h"),
    _S("k"),
    _S("sze"),
    _S("cs"),
    _S("p"),
    _S("szo"),
    _S("v")
    };
// The month names
const TText * const LanguageAspect::MonthTable[KMaxMonths] =
    {
    _S("janur"),
    _S("februr"),
    _S("mrcius"),
    _S("prilis"),
    _S("mjus"),
    _S("jnius"),
    _S("jlius"),
    _S("augusztus"),
    _S("szeptember"),
    _S("oktber"),
    _S("november"),
    _S("december")
    };
// The abbreviated month names
const TText * const LanguageAspect::MonthAbbTable[KMaxMonths] =
    {
    _S("jan."),
    _S("febr."),
    _S("mrc."),
    _S("pr."),
    _S("mj."),
    _S("jn."),
    _S("jl."),
    _S("aug."),
    _S("szept."),
    _S("okt."),
    _S("nov."),
    _S("dec.")
    };
// The am/pm strings
const TText * const LanguageAspect::AmPmTable[KMaxAmPms] = {_S("de."),_S("du.")};

//  End of File
