/*
* Copyright (c) 1994-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/




//  EXTERNAL RESOURCES  


//  Include Files  

#include <kernel/ls_std.h>
#include "locl_language.h"

const TLanguage LanguageAspect::Language = ELangIcelandic;
const TLanguage LanguageAspect::LanguageDowngrade[3] = {ELangNone, ELangNone, ELangNone};
const TDigitType LanguageAspect::DigitType = EDigitTypeWestern;
const TFatUtilityFunctions* const LanguageAspect::FatUtilityFunctions = NULL;
    


//  LOCAL CONSTANTS AND MACROS
const TText * const LanguageAspect::MsgTable[ELocaleMessages_LastMsg] =
     {
// Fileserver
    _S("Reyna aftur"),								// Button 1
    _S("Htta"),								// Button 2
    _S("Lta diskinn aftur  sinn sta,"),						// Put the card back - line1
    _S("annars er htta  a tapa ggnum"),						// Put the card back - line2
    _S("Of ltil orka  rafhlunni"),						// Low power - line1
    _S("Ekki hgt a skrifa  diskinn"),					// Low power - line2
    _S("Diskvilla - ekki hgt a klra vistun"),				// Disk error - line1
    _S("Reyna aftur ea ggn munu tapast"),		                        // Disk error - line2
// SoundDriver
    _S("Bjlluhlj"),								// Chimes
    _S("Hringingar"),								// Rings
    _S("Hljmerki"),								// Signal
// MediaDriver diskname (max 16 chars)
    _S("Internal"),								// Internal
    _S("External(01)"),							// External(01)
    _S("External(02)"),							// External(02)
    _S("External(03)"),							// External(03)
    _S("External(04)"),							// External(04)
    _S("External(05)"),							// External(05)
    _S("External(06)"),							// External(06)
    _S("External(07)"),							// External(07)
    _S("External(08)"),							// External(08)
// MediaDriver socketname (max 16 chars)
    _S("Socket(01)"),							// Socket(01)
    _S("Socket(02)"),							// Socket(02)
    _S("Socket(03)"),							// Socket(03)
    _S("Socket(04)")							// Socket(04)
    };

// The suffix table
const TText * const LanguageAspect::DateSuffixTable[KMaxSuffixes] =
    {
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S(""),_S(""),_S(""),_S(""),_S(""),
    _S("")
    };
// The day names
const TText * const LanguageAspect::DayTable[KMaxDays] =
    {
    _S("Mnudagur"),
    _S("rijudagur"),
    _S("Mivikudagur"),
    _S("Fimmtudagur"),
    _S("Fstudagur"),
    _S("Laugardagur"),
    _S("Sunnudagur")
    };
// The abbreviated day names
const TText * const LanguageAspect::DayAbbTable[KMaxDays] =
    {
    _S("Mn."),
    _S("ri."),
    _S("Mi."),
    _S("Fim."),
    _S("Fs."),
    _S("Lau"),
    _S("Sun.")
    };
// The month names
const TText * const LanguageAspect::MonthTable[KMaxMonths] =
    {
    _S("Janar"),
    _S("Febrar"),
    _S("Mars"),
    _S("Aprl"),
    _S("Ma"),
    _S("Jn"),
    _S("Jl"),
    _S("gst"),
    _S("September"),
    _S("Oktber"),
    _S("Nvember"),
    _S("Desember")
    };
// The abbreviated month names
const TText * const LanguageAspect::MonthAbbTable[KMaxMonths] =
    {
    _S("Jan."),
    _S("Feb."),
    _S("Mar."),
    _S("Apr."),
    _S("Ma."),
    _S("Jn."),
    _S("Jl."),
    _S("g."),
    _S("Sep."),
    _S("Okt."),
    _S("Nv."),
    _S("Des.")
    };
// The am/pm strings
const TText * const LanguageAspect::AmPmTable[KMaxAmPms] = {_S("SA"),_S("CH")};

//  End of File
